Retrieves updated ENERGY STAR metrics (scores) for specified places and periods from Portfolio Manager
Use this endpoint to pull the latest ENERGY STAR scores and metrics from Portfolio Manager
for the specified places and period range. Results are stored locally and available via
place-level reporting. Requires ENERGY STAR to be configured.
Requires ENERGY STAR Submissions Run permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
EnergyStarPlaceMetricsRequest
| Property | Description | Type |
|---|---|---|
| beginPeriod | The begin period for updating ENERGY STAR metrics Required Valid billing period between 190001 and 300001 | integer (int32) |
| endPeriod | The end period for updating ENERGY STAR metrics If null, metrics will only be retrieved for the period specified in BeginPeriod | integer (int32) |
| placeIds | List of place identifiers to for which to update metrics Required Cannot be Empty | integer[] |
Example Request Body
{ "beginPeriod": 1, "endPeriod": 1, "placeIds": [
1
]
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
EnergyStarTaskResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| beginDate | The date the submission was initiated | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| energyStarTaskId | The task identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| metricsRetrievalLogFileName | Filename of the log containing errors or alerts encountered during metrics retrieval | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| metricsRetrievalTaskStatus | Status for the metrics retrieval portion of the task | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| numberOfPlaces | The number of buildings in the submission | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| places | The list of buildings/submission periods in the submission | EnergyStarTaskPlaceChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
EnergyStarTaskPlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| submissionLogFileName | Filename of the log containing errors encountered during submission Will be null if this task is only for metrics retrieval or if there were no errors during submission | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| submissionTaskStatus | Status for the submission portion of the task | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| submissionType | SubmissionTypeResponse | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
SubmissionTypeResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| taskType | The task type | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| user | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "beginDate": "2026-06-29", "energyStarTaskId": 1, "metricsRetrievalLogFileName": "string", "metricsRetrievalTaskStatus": "string", "numberOfPlaces": 1, "places": [
{ "building": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}, "taskPeriods": [
{ "period": 1, "periodName": "string"
}
]
}
], "submissionLogFileName": "string", "submissionTaskStatus": "string", "submissionType": { "submissionTypeId": 1, "submissionTypeName": "string"
}, "taskType": "string", "user": { "fullName": "string", "userCode": "string", "userId": 1
}
}